petsc-3.4.2 2013-07-02

# VecGetLocalSize

Returns the number of elements of the vector stored in local memory. This routine may be implementation dependent, so use with care.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecGetLocalSize(Vec x,PetscInt *size)

Not Collective

### Input Parameter

x -the vector

### Output Parameter

size -the length of the local piece of the vector

### See Also

VecGetSize()

Level:beginner
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex15.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/ksp/ksp/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex23.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html
src/ksp/ksp/examples/tutorials/ex42.c.html